version: "1.0"
services:
  netbeans:
    container_name: netbeans-17-cpp
    image: fcarella/netbeans:17_cpp
    network_mode: "host"
    environment:
      #- DISPLAY=192.168.0.238:0.0
      #- DISPLAY=192.168.0.158:0.0
      - DISPLAY=$DISPLAY
    volumes:
      - $HOME/volumes/netbeans-cpp/root:/root
    # working_dir: $APP_ROOT
    # command line swithches fix font issues in linux
    command: /opt/netbeans/bin/netbeans  -J-Dswing.aatext=true -J-Dawt.useSystemAAFontSettings=lcd
# volumes:
#   idea_cache:
#   java_cache:
#   m2_cache:

    # networks:
    #   testing_net:
    #       ipv4_address: 172.28.1.2

  mysql:
    container_name: csd121-mysql
    image: mysql:8.0.32
    volumes:
    - /home/fcarella/mysql:/var/lib/mysql 
    
    environment:
      - MYSQL_ROOT_PASSWORD=itstudies12345
    ports:
      - 3306:3306
    networks:
      testing_net:
          ipv4_address: 172.28.1.1

networks:
    testing_net:
        ipam:
            driver: default
            config:
                - subnet: 172.28.0.0/16


